<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
$zyear = right($zdb, 4);
$mfrdate = getzdates($zyear, 'S');
$mtodate = getzdates($zyear, 'E');

$formname = "Monthly Invoice Summary";
$action = "invsumm_fr.php";
mysqli_select_db($conn, $zdb);

include("includes/linkshead.php");
?>
<!--<script src="MyScript/rgbill_reg.js"  type="text/javascript"></script>-->
<script src="MyScript/school.js" type="text/javascript"></script>
</head>
<script>
    $(document).ready(function() {
        $('body').on('keyup', '#custcode', getCustName);

        function getCustName() {
            var custcode = $("#custcode").val();
            $.post('getcustname.php', {
                custcode: custcode
            }, function(data) {
                if (data != 0) {
                    $('.cname').val(data).trigger("change");
                }
            });

        }
    });
</script>

<body>
    <form method='POST' action="<?= $action; ?>">
        <!-- Default box -->

        <div class="col-lg-6 col-md-12 col-sm-12 col-xs-12  pad">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><?php echo $formname; ?></h3>

                </div>
                <div class="panel-body">

                    <div class="row">
                        <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                            <label class="label-control marg">Customer Code</label>
                        </div>
                        <div class="col-lg-2 col-md-3 col-sm-8 col-xs-8 pad">
                            <input type="text" id="custcode" name="custcode" class="form-control" value="<?php echo ($addflag != 1) ? $get["custcode"] : ""; ?>">
                        </div>
                    </div>

                    <div class='row'>
                        <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                            <label class='label-control'>Account</label>
                        </div>
                        <div class="col-lg-5 col-md-4 col-sm-8 col-xs-8 pad">
                            <select name="cname" class="form-control select2 cname">
                                <option value=""></option>
                                <?php
                                $mown1 = mysqli_query($conn, "SELECT accode,name FROM `accmast` where grpcode = '010' order by `name`") or die(mysqli_error($conn));
                                while ($trow1 = mysqli_fetch_array($mown1)) {
                                    echo "<option value=$trow1[accode]>$trow1[name]</option>";
                                }
                                ?>
                            </select>
                        </div>
                    </div>
 


                </div>
                <div class="panel-footer text-center">
                    <?php include("includes/but_rep.php"); ?>
                </div>
            </div>
        </div>
    </form>
    <?php include("includes/linksfoot.php"); ?>
</body>

</html>